Index: trunk/SRC/Documentation/idldoc_assistant_output/Interpolation/compute_fromreg_imoms3_weigaddr.html
===================================================================
--- trunk/SRC/Documentation/idldoc_assistant_output/Interpolation/compute_fromreg_imoms3_weigaddr.html	(revision 200)
+++ trunk/SRC/Documentation/idldoc_assistant_output/Interpolation/compute_fromreg_imoms3_weigaddr.html	(revision 203)
@@ -75,5 +75,5 @@
 </font></h2>
 
-      <p><font face="Courier">compute_fromreg_imoms3_weigaddr<i>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_alonin">alonin</a>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_alatin">alatin</a>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_olonin">olonin</a>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_olat">olat</a>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_weig">weig</a>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_addr">addr</a></i>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_NONORTHERNLINE">NONORTHERNLINE</a>=<i>NONORTHERNLINE</i>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_NOSOUTHERNLINE">NOSOUTHERNLINE</a>=<i>NOSOUTHERNLINE</i></font></p>
+      <p><font face="Courier">compute_fromreg_imoms3_weigaddr<i>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_alonin">alonin</a>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_alatin">alatin</a>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_olonin">olonin</a>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_olat">olat</a>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_weig">weig</a>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_addr">addr</a></i>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_NONORTHERNLINE">NONORTHERNLINE</a>=<i>scalar 0 or 1</i>, <a href="#_compute_fromreg_imoms3_weigaddr_keyword_NOSOUTHERNLINE">NOSOUTHERNLINE</a>=<i>scalar 0 or 1</i></font></p>
 
     
@@ -93,5 +93,5 @@
       <font size="-1" color="#006633">required</font>
       
-      
+      <font size="-1" color="#006633">type:</font> <font size="-1" color="#006633"><i>2d array</i></font>
       
       
@@ -110,5 +110,5 @@
       <font size="-1" color="#006633">required</font>
       
-      
+      <font size="-1" color="#006633">type:</font> <font size="-1" color="#006633"><i>2d array</i></font>
       
       
@@ -127,5 +127,5 @@
       <font size="-1" color="#006633">required</font>
       
-      
+      <font size="-1" color="#006633">type:</font> <font size="-1" color="#006633"><i>2d array</i></font>
       
       
@@ -134,4 +134,5 @@
     
  longitude of the output data
+
     
 
@@ -143,5 +144,5 @@
       <font size="-1" color="#006633">required</font>
       
-      
+      <font size="-1" color="#006633">type:</font> <font size="-1" color="#006633"><i>2d array</i></font>
       
       
@@ -160,10 +161,12 @@
       
       
-      
-      
-      
-    </h4>
-
-    
+      <font size="-1" color="#006633">type:</font> <font size="-1" color="#006633"><i>2d array</i></font>
+      
+      
+    </h4>
+
+    
+ (see ADDR)
+
     
 
@@ -175,5 +178,5 @@
       
       
-      
+      <font size="-1" color="#006633">type:</font> <font size="-1" color="#006633"><i>2d array</i></font>
       
       
@@ -200,10 +203,13 @@
       
       
-      
-      
-      
-    </h4>
-
-    
+      <font size="-1" color="#006633">type:</font> <font size="-1" color="#006633"><i>scalar 0 or 1</i></font>
+      <font size="-1" color="#006633">default:</font> <font size="-1" color="#006633"><i>0</i></font>
+      
+    </h4>
+
+    
+ put 1 if you don't want to take into
+ account the northen line of the input data when performing the interpolation.
+
     
     <a name="#_compute_fromreg_imoms3_weigaddr_keyword_NOSOUTHERNLINE"></a>
@@ -214,12 +220,12 @@
       
       
-      
-      
-      
-    </h4>
-
-    
- activate if you don't want to take into account the northen/southern line
- of the input data when performing the interpolation.
+      <font size="-1" color="#006633">type:</font> <font size="-1" color="#006633"><i>scalar 0 or 1</i></font>
+      <font size="-1" color="#006633">default:</font> <font size="-1" color="#006633"><i>0</i></font>
+      
+    </h4>
+
+    
+ put 1 if you don't want to take into
+ account the southern line of the input data when performing the interpolation.
 
     
@@ -229,5 +235,5 @@
     <h3>Version history</h3>
     
-    <h4>Version</h4> $Id: compute_fromreg_imoms3_weigaddr.pro 163 2006-08-29 12:59:46Z navarro $
+    <h4>Version</h4> $Id: compute_fromreg_imoms3_weigaddr.pro 202 2007-01-12 11:00:06Z smasson $
 
     <h4>History</h4>