Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/LECTURE/read_ncdf.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/LECTURE/read_ncdf.html	(revision 210)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/LECTURE/read_ncdf.html	(revision 214)
@@ -422,5 +422,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: read_ncdf.pro 209 2007-02-08 10:01:49Z smasson $ </div>
+ $Id: read_ncdf.pro 212 2007-02-14 10:47:10Z smasson $ </div>
 	  <h4>History</h4><div class="preformat">
  Sebastien Masson (smasson@lodyc.jussieu.fr)
@@ -449,5 +449,5 @@
 	  <h3>Statistics</h3>
 	  <table class="statistics">
-	    <tr><td>McCabe cyclic</td><td>         138</td></tr>
+	    <tr><td>McCabe cyclic</td><td>         135</td></tr>
 	    <tr><td>McCabe essential</td><td>           1</td></tr>
 	    <tr><td>McCabe modular design</td><td>           1</td></tr>
Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/PLOTS/reinitplt.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/PLOTS/reinitplt.html	(revision 210)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/PLOTS/reinitplt.html	(revision 214)
@@ -212,5 +212,5 @@
 	    <div class="comments">
  Invert the logic. Clear all unselected variables.
- Therefore "clearplt,/all,/invert" does nothing.
+ Therefore "reinitplt,/all,/invert" does nothing.
 </div>
 	    
@@ -221,5 +221,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: reinitplt.pro 163 2006-08-29 12:59:46Z navarro $
+ $Id: reinitplt.pro 213 2007-02-16 11:29:17Z smasson $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.html	(revision 210)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/AUTOUR_de_XXX/loadgrid.html	(revision 214)
@@ -109,5 +109,5 @@
 	
 	  <p class="header">
-	    loadgrid<span class="result">, <a href="#_loadgrid_param_meshfilein">meshfilein</a></span>, <a href="#_loadgrid_keyword__extra">_extra</a>=<span class="result">_extra</span></p>
+	    loadgrid<span class="result">, <a href="#_loadgrid_param_meshfiletxtin">meshfiletxtin</a></span>, <a href="#_loadgrid_keyword__extra">_extra</a>=<span class="result">_extra</span></p>
 	
 	  <div class="comments"></div>
@@ -121,5 +121,5 @@
 	
 	    
-	    <h4 id="_loadgrid_param_meshfilein">meshfilein&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_loadgrid_param_meshfiletxtin">meshfiletxtin&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -132,7 +132,5 @@
 	    </h4>
 	
-	  <div class="comments">
-
- </div>
+	  <div class="comments"></div>
 	    
 
@@ -166,5 +164,5 @@
 	  
 	  <h4>Version</h4><div class="preformat"> 
- $Id: loadgrid.pro 192 2006-09-22 09:37:08Z smasson $
+ $Id: loadgrid.pro 213 2007-02-16 11:29:17Z smasson $
 </div>
 	  <h4>History</h4><div class="preformat">
@@ -195,5 +193,5 @@
 	  <h3>Statistics</h3>
 	  <table class="statistics">
-	    <tr><td>McCabe cyclic</td><td>          11</td></tr>
+	    <tr><td>McCabe cyclic</td><td>           8</td></tr>
 	    <tr><td>McCabe essential</td><td>           1</td></tr>
 	    <tr><td>McCabe modular design</td><td>           1</td></tr>
Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.html	(revision 210)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.html	(revision 214)
@@ -164,5 +164,5 @@
 	  
 	  <h4>Version</h4><div class="preformat"> 
- $Id: selectfile.pro 202 2007-01-12 11:00:06Z smasson $
+ $Id: selectfile.pro 213 2007-02-16 11:29:17Z smasson $
  </div>
 	  <h4>History</h4><div class="preformat">
@@ -192,5 +192,5 @@
 	  <h3>Statistics</h3>
 	  <table class="statistics">
-	    <tr><td>McCabe cyclic</td><td>          29</td></tr>
+	    <tr><td>McCabe cyclic</td><td>          30</td></tr>
 	    <tr><td>McCabe essential</td><td>           1</td></tr>
 	    <tr><td>McCabe modular design</td><td>           1</td></tr>
@@ -295,5 +295,5 @@
 	  
 	  <h4>Version</h4><div class="preformat"> 
- $Id: selectfile.pro 202 2007-01-12 11:00:06Z smasson $
+ $Id: selectfile.pro 213 2007-02-16 11:29:17Z smasson $
  </div>
 	  <h4>History</h4><div class="preformat">