Index: trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 224)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 226)
@@ -4,9 +4,9 @@
 ;+
 ; @file_comments
-; Rather comparable to depth2level but here, the calculated level is in float. 
-; For example, the level 5.4 correspond to a depth equal 
+; Rather comparable to depth2level but here, the calculated level is in float.
+; For example, the level 5.4 correspond to a depth equal
 ; to gdep[5]+.4*(gdep[6]-gdep[5])
 ;
-; @categories 
+; @categories
 ; Without loop
 ;
@@ -32,8 +32,8 @@
 ;  ->champ nul a 1e-6 pres
 ;
-; @history 
+; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      15/06/2000
-; 
+;
 ; @version
 ; $Id$
@@ -57,6 +57,6 @@
    levellow = depth2level(depthin, /lower, /nomask)
    depthlow = level2depth(levellow, /nomask)
-; calculate the distance depthlow-depthup and management of the case 
-; of this distance is null or eqal to !values.f_nan
+; calculate the distance depthlow-depthup and management of the case
+; of this distance is null or equal to !values.f_nan
    divi = depthlow-depthup
    nan = where(finite(divi) EQ 0)
@@ -74,5 +74,5 @@
    endif
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps depth2floatlevel', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps depth2floatlevel', systime(1)-tempsun
 ;
    return, res
Index: trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 224)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 226)
@@ -4,5 +4,5 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Allows to pass from a 2d depth array to a corresponding 2d level array.
 ;
@@ -11,5 +11,5 @@
 ;
 ; @param TAB {type=2d array}
-; 2d depth array (or a structure respecting litchamp critrions)
+; 2d depth array (or a structure respecting litchamp criterions)
 ;
 ; @keyword UPPER
@@ -17,13 +17,13 @@
 ;
 ; @keyword LOWER
-; We select the level just below the depth 
+; We select the level just below the depth
 ;
-; @keyword CLOSER 
-; We select the depth's closer level 
+; @keyword CLOSER
+; We select the depth's closer level
 ;
-; @keyword NOMASK 
+; @keyword NOMASK
 ; To do not mask land points
 ;
-; @returns 
+; @returns
 ; It is a 2d array containing level's values.
 ;
@@ -31,7 +31,7 @@
 ; common.pro
 ;
-; @restrictions 
+; @restrictions
 ; For depths out of gdep's values, the value !values.f_nan is sent back.
-; if the depth is superior to this one of the bottom, we send back jpk-1 in 
+; if the depth is superior to this one of the bottom, we send back jpk-1 in
 ; the upper case, and !values.f_nan in the lower case.
 ;
@@ -80,8 +80,8 @@
    if notanumber[0] NE -1 then in[notanumber] = 0
 ;------------------------------------------------------------
-; We transform the 2d deth value in a 2d array of levels corresponding to depthes
+; We transform the 2d depth value in a 2d array of levels corresponding to depths
 ;------------------------------------------------------------
 ; We go on array who have the size of 3d arrays
-   prof=replicate(1,nx*ny)#gdep[firstz:lastz] 
+   prof=replicate(1,nx*ny)#gdep[firstz:lastz]
    in = in[*]#replicate(1, nz)
 ;
@@ -116,5 +116,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps depth2level', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps depth2level', systime(1)-tempsun
    return, levels
 end
Index: trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 224)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 226)
@@ -4,6 +4,6 @@
 ;+
 ;
-; @file_comments 
-; Allows to pass from a 2d depth sill array to a 3d array of mask 
+; @file_comments
+; Allows to pass from a 2d depth sill array to a 3d array of mask
 ; with one of levels above the sill depth and 0s below.
 ;
@@ -12,9 +12,9 @@
 ;
 ; @param TAB {type=3d array}
-; 2d sill depth array (or a structure respecting litchamp critrions)
+; 2d sill depth array (or a structure respecting litchamp criterions)
 ;
 ; @keyword _EXTRA
 ; used to pass your keywords
-; 
+;
 ; @returns
 ; It is a 3d array containing the mas associated to the 2d sill depth array
@@ -42,5 +42,5 @@
 @common
 ;------------------------------------------------------------
-; We transform the 2d deth value in a 2d array of levels corresponding to depthes
+; We transform the 2d depth value in a 2d array of levels corresponding to depths
 ;------------------------------------------------------------
    niveaux = depth2level(tab, _extra = ex)
@@ -51,5 +51,5 @@
    mask = level2mask(niveaux)
 ;------------------------------------------------------------
-   if keyword_set(key_performance) NE 0 THEN print, 'temps depth2mask', systime(1)-tempsun 
+   if keyword_set(key_performance) NE 0 THEN print, 'temps depth2mask', systime(1)-tempsun
    return, mask
 end
Index: trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 224)
+++ trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 226)
@@ -4,5 +4,5 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Rather comparable to level2depth. It is the invert function of depth2floatlevel
 ;
@@ -17,5 +17,5 @@
 ;
 ; @returns
-; 2d array containing depthes
+; 2d array containing depths
 ;
 ; @uses
@@ -52,5 +52,5 @@
 ; We sill (delete land points at valmask for example)
    flevelin = 0 > flevelin < (jpk-1)
-; We caculate the depth 
+; We calculate the depth
    depthup = level2depth(floor(flevelin), /nomask)
    depthlow= level2depth(ceil(flevelin), /nomask)
@@ -67,5 +67,5 @@
    endif
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps floatlevel2depth', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps floatlevel2depth', systime(1)-tempsun
 ;
    return, res
Index: trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 224)
+++ trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 226)
@@ -19,5 +19,5 @@
 ; array representing the temperature. Has the same size than SN.
 ;
-; @keyword GILL 
+; @keyword GILL
 ; We activate this key if we want to calculate the dynamic height
 ; like in the GILL page 215, which means by rapport to a reference state which
@@ -32,5 +32,5 @@
 ; Give a value to this keyword to change the reference salinity used in the
 ; calculation when GILL is activated.
-; 
+;
 ; @keyword TREF
 ; Give a value to this keyword to change the reference temperature used in the
@@ -58,5 +58,5 @@
 ;
 ; @restrictions
-; approximation: The pressure in decibars is equal to the depth in meters 
+; approximation: The pressure in decibars is equal to the depth in meters
 ; (the pressure increase of 1 bar every 10 m)
 ;
@@ -99,5 +99,5 @@
    if total(tailles[0:tailles[0]] NE taillet[0:taillet[0]]) NE 0 then $
     return,  report('arrays sn and tn must have the same size')
-   if tailles[3] NE jpk then return, report('vertical dimension of sn and tn arrarrays must be equal to jpk')
+   if tailles[3] NE jpk then return, report('vertical dimension of sn and tn arrays must be equal to jpk')
    nx = nxt
    ny = nyt
Index: trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 224)
+++ trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 226)
@@ -47,5 +47,5 @@
    grille,mask, -1, -1,gdep,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz
 ;---------------------------------------------------------------
-; verification of the coherence between array's size and the domain definied by domdef
+; verification of the coherence between array's size and the domain defined by domdef
 ;---------------------------------------------------------------
    taille = size(niveaux)
Index: trunk/SRC/ToBeReviewed/CALCULS/norme.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 224)
+++ trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 226)
@@ -4,11 +4,11 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; calculate the norm of a field of vectors, then make a possible average.
 ;   Comment 1: The field of vector can be, 2d:xy, 3d: xyz or xyt,
 ; 4d: xyzt
 ;   Comment 2:
-; The calculation of the norm is made before the possible spatial or 
-; temporal average because the average of the norm is not equal to the 
+; The calculation of the norm is made before the possible spatial or
+; temporal average because the average of the norm is not equal to the
 ; norm of averages
 
@@ -24,10 +24,10 @@
 ;
 ; @keyword BOXZOOM
-; boxzoom on which do the average (by default the domain selected 
+; boxzoom on which do the average (by default the domain selected
 ; by the last domdef done)
 ;
 ; @keyword DIREC
 ; 't' 'x' 'y' 'z' 'xys' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt' 'xyt'
-;       'xzt' 'yzt' 'xyzt' Direction on which do averages 
+;       'xzt' 'yzt' 'xyzt' Direction on which do averages
 ;
 ; @returns
@@ -37,23 +37,23 @@
 ; common.pro
 ;
-; @restrictions 
-; The norm is calculated on points TTo do this calculation, we average 
-; field U and Von points T before calculate the norme. At the edge of 
-; coast and of domain, we can not calculate fields U and V at points T, 
-; that is why these points are at value !values.f_nan. 
-; 
-; When we calculate on a reduce geographic domain, field U and V have not 
-; necessarily the same number of point. In this case, we recut U and V to 
-; keep only common points. We profit of this to redo a domdef which redefine 
+; @restrictions
+; The norm is calculated on points TTo do this calculation, we average
+; field U and Von points T before calculate the norme. At the edge of
+; coast and of domain, we can not calculate fields U and V at points T,
+; that is why these points are at value !values.f_nan.
+;
+; When we calculate on a reduce geographic domain, field U and V have not
+; necessarily the same number of point. In this case, we recut U and V to
+; keep only common points. We profit of this to redo a domdef which redefine
 ; a geographic domain on which fields U and V are extracted on same points
 ;
 ; @restrictions
-; To know what type of array we work with, we  test its size and dates 
-; gave by time[0] and time[jpt-1] to know if thee is a temporal dimension. 
-; Before to start norme, make sure that time and jpt are defined how 
-; they have to! 
+; To know what type of array we work with, we  test its size and dates
+; gave by time[0] and time[jpt-1] to know if thee is a temporal dimension.
+; Before to start norme, make sure that time and jpt are defined how
+; they have to!
 ;
 ; @examples
-; To calculate the average of the norme of streams on all the domain 
+; To calculate the average of the norme of streams on all the domain
 ; between 0 et 50:
 ;      IDL> res=norme(un,vn,boxzoom=[0,50],dir='xyz')
@@ -90,5 +90,5 @@
 ;
 ;------------------------------------------------------------
-  if keyword_set(boxzoom) then BEGIN 
+  if keyword_set(boxzoom) then BEGIN
     Case 1 Of
       N_Elements(Boxzoom) Eq 1:bte = [lon1, lon2, lat1, lat2, 0., boxzoom[0]]
@@ -100,5 +100,5 @@
     ENDCASE
     domdef, boxzoom
-  ENDIF 
+  ENDIF
 ;------------------------------------------------------------
    if NOT keyword_set(direc) then direc = 0
@@ -120,6 +120,6 @@
    if grillev EQ '' then grillev = 'V'
    IF grilleu EQ 'V' AND grillev EQ 'U' THEN inverse = 1
-   IF grilleu EQ 'T' AND grillev EQ 'T' THEN BEGIN 
-      interpolle  = 0 
+   IF grilleu EQ 'T' AND grillev EQ 'T' THEN BEGIN
+      interpolle  = 0
       return, report('cas non code mais facile a faire!')
    ENDIF ELSE interpolle = 1
@@ -140,5 +140,5 @@
    indiceyv = (lindgen(jpj))[firstyv:firstyv+nyv-1]
    indicey = inter(indiceyu, indiceyv)
-   nx = n_elements(indicex) 
+   nx = n_elements(indicex)
    ny = n_elements(indicey)
 ;----------------------------------------------------------------------------
@@ -149,5 +149,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-      (size(u))[0] EQ 3 AND date1 EQ date2 :BEGIN 
+      (size(u))[0] EQ 3 AND date1 EQ date2 :BEGIN
 ;----------------------------------------------------------------------------
          indice2d = lindgen(jpi, jpj)
@@ -160,23 +160,23 @@
          case 1 of
             (size(u))[1] EQ nxu AND (size(u))[2] EQ nyu AND $
-             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN 
+             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN
                case (size(u))[3] OF
-                  nzt:BEGIN 
+                  nzt:BEGIN
                      if nxu NE nx then $
-                      if indicex[0] EQ firstxu then u = u[0:nx-1,*,*] ELSE u = u[1: nx, *,*] 
+                      if indicex[0] EQ firstxu then u = u[0:nx-1,*,*] ELSE u = u[1: nx, *,*]
                      IF nxv NE nx THEN $
                       if indicex[0] EQ firstxv then v = v[0:nx-1,*,*] ELSE v = v[1: nx, *,*]
                      IF nyu NE ny THEN $
-                      if indicey[0] EQ firstyu then u = u[*,0:ny-1,*] ELSE u = u[*, 1: ny,*] 
+                      if indicey[0] EQ firstyu then u = u[*,0:ny-1,*] ELSE u = u[*, 1: ny,*]
                      IF nyv NE ny THEN $
                       if indicey[0] EQ firstyv then v = v[*,0:ny-1,*] ELSE v = v[*, 1: ny,*]
                   end
-                  jpk:BEGIN 
+                  jpk:BEGIN
                      if nxu NE nx then $
-                      if indicex[0] EQ firstxu then u = u[0:nx-1, *,firstzt:lastzt] ELSE u = u[1: nx, *,firstzt:lastzt] 
+                      if indicex[0] EQ firstxu then u = u[0:nx-1, *,firstzt:lastzt] ELSE u = u[1: nx, *,firstzt:lastzt]
                      IF nxv NE nx THEN $
                       if indicex[0] EQ firstxv then v = v[0:nx-1, *,firstzt:lastzt] ELSE v = v[1: nx, *,firstzt:lastzt]
                      IF nyu NE ny THEN $
-                      if indicey[0] EQ firstyu then u = u[*, 0:ny-1,firstzt:lastzt] ELSE u = u[*, 1: ny,firstzt:lastzt] 
+                      if indicey[0] EQ firstyu then u = u[*, 0:ny-1,firstzt:lastzt] ELSE u = u[*, 1: ny,firstzt:lastzt]
                      IF nyv NE ny THEN $
                       if indicey[0] EQ firstyv then v = v[*, 0:ny-1,firstzt:lastzt] ELSE v = v[*, 1: ny,firstzt:lastzt]
@@ -186,5 +186,5 @@
             END
             (size(u))[1] EQ jpi AND (size(u))[2] EQ jpj AND (size(u))[3] EQ jpk AND $
-             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj AND (size(u))[3] EQ jpk :BEGIN 
+             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj AND (size(u))[3] EQ jpk :BEGIN
                u = u[indice3d]
                v = v[indice3d]
@@ -209,5 +209,5 @@
          if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0,*]=a
 ;----------------------------------------------------------------------------
-; attribution of the mask and of logitude and latitude arrays
+; attribution of the mask and of longitude and latitude arrays
 ;----------------------------------------------------------------------------
          mask = tmask[indice3d]
@@ -234,5 +234,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-      date1 NE date2 AND (size(u))[0] EQ 3 :BEGIN 
+      date1 NE date2 AND (size(u))[0] EQ 3 :BEGIN
          indice2d = lindgen(jpi, jpj)
          indice2d = indice2d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1]
@@ -242,16 +242,16 @@
          case 1 of
             (size(u))[1] EQ nxu AND (size(u))[2] EQ nyu AND $
-             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN 
+             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN
                if nxu NE nx then $
-                if indicex[0] EQ firstxu then u = u[0:nx-1, *, *] ELSE u = u[1: nx, *, *] 
+                if indicex[0] EQ firstxu then u = u[0:nx-1, *, *] ELSE u = u[1: nx, *, *]
                IF nxv NE nx THEN $
                 if indicex[0] EQ firstxv then v = v[0:nx-1, *, *] ELSE v = v[1: nx, *, *]
                IF nyu NE ny THEN $
-                if indicey[0] EQ firstyu then u = u[*, 0:ny-1, *] ELSE u = u[*, 1: ny, *] 
+                if indicey[0] EQ firstyu then u = u[*, 0:ny-1, *] ELSE u = u[*, 1: ny, *]
                IF nyv NE ny THEN $
                 if indicey[0] EQ firstyv then v = v[*, 0:ny-1, *] ELSE v = v[*, 1: ny, *]
             END
             (size(u))[1] EQ jpi AND (size(u))[2] EQ jpj AND $
-             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj:BEGIN 
+             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj:BEGIN
                u = u[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1, *]
                v = v[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1, *]
@@ -270,6 +270,6 @@
 ;----------------------------------------------------------------------------
 ; attribution of the mask and of longitude and latitude arrays.
-; We recover the complete grid to establish a big mask extent in the four 
-; direction to cover pointsfor which a land point has been 
+; We recover the complete grid to establish a big mask extent in the four
+; direction to cover pointsfor which a land point has been
 ; considerated (make a small drawing)
 ;----------------------------------------------------------------------------
@@ -288,5 +288,5 @@
          res[*,0, *]=!values.f_nan
          mask = where(mask eq 0)
-         IF mask[0] NE -1 THEN BEGIN 
+         IF mask[0] NE -1 THEN BEGIN
             coeftps = lindgen(jpt)*nx*ny
             coeftps = replicate(1, n_elements(mask))#coeftps
@@ -304,5 +304,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-      date1 NE date2 AND (size(u))[0] EQ 4:BEGIN 
+      date1 NE date2 AND (size(u))[0] EQ 4:BEGIN
          indice2d = lindgen(jpi, jpj)
          indice2d = indice2d[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1]
@@ -314,23 +314,23 @@
          case 1 of
             (size(u))[1] EQ nxu AND (size(u))[2] EQ nyu AND $
-             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN 
+             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN
                case (size(u))[3] OF
-                  nzt:BEGIN 
+                  nzt:BEGIN
                      if nxu NE nx then $
-                      if indicex[0] EQ firstxu then u = u[0:nx-1,*,*,*] ELSE u = u[1: nx, *,*,*] 
+                      if indicex[0] EQ firstxu then u = u[0:nx-1,*,*,*] ELSE u = u[1: nx, *,*,*]
                      IF nxv NE nx THEN $
                       if indicex[0] EQ firstxv then v = v[0:nx-1,*,*,*] ELSE v = v[1: nx, *,*,*]
                      IF nyu NE ny THEN $
-                      if indicey[0] EQ firstyu then u = u[*,0:ny-1,*,*] ELSE u = u[*, 1: ny,*,*] 
+                      if indicey[0] EQ firstyu then u = u[*,0:ny-1,*,*] ELSE u = u[*, 1: ny,*,*]
                      IF nyv NE ny THEN $
                       if indicey[0] EQ firstyv then v = v[*,0:ny-1,*,*] ELSE v = v[*, 1: ny,*,*]
                   end
-                  jpk:BEGIN 
+                  jpk:BEGIN
                      if nxu NE nx then $
-                      if indicex[0] EQ firstxu then u = u[0:nx-1, *,firstzt:lastzt,*] ELSE u = u[1: nx, *,firstzt:lastzt,*] 
+                      if indicex[0] EQ firstxu then u = u[0:nx-1, *,firstzt:lastzt,*] ELSE u = u[1: nx, *,firstzt:lastzt,*]
                      IF nxv NE nx THEN $
                       if indicex[0] EQ firstxv then v = v[0:nx-1, *,firstzt:lastzt,*] ELSE v = v[1: nx, *,firstzt:lastzt,*]
                      IF nyu NE ny THEN $
-                      if indicey[0] EQ firstyu then u = u[*, 0:ny-1,firstzt:lastzt,*] ELSE u = u[*, 1: ny,firstzt:lastzt,*] 
+                      if indicey[0] EQ firstyu then u = u[*, 0:ny-1,firstzt:lastzt,*] ELSE u = u[*, 1: ny,firstzt:lastzt,*]
                      IF nyv NE ny THEN $
                       if indicey[0] EQ firstyv then v = v[*, 0:ny-1,firstzt:lastzt,*] ELSE v = v[*, 1: ny,firstzt:lastzt,*]
@@ -340,5 +340,5 @@
             END
             (size(u))[1] EQ jpi AND (size(u))[2] EQ jpj AND (size(u))[3] EQ jpk AND $
-             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj AND (size(u))[3] EQ jpk :BEGIN 
+             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj AND (size(u))[3] EQ jpk :BEGIN
                u = u[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1,firstzt:lastzt, *]
                v = v[indicex[0]:indicex[0]+nx-1,indicey[0]:indicey[0]+ny-1,firstzt:lastzt, *]
@@ -356,5 +356,5 @@
          if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0,*,*]=a
 ;----------------------------------------------------------------------------
-; attribution of the mask and of logitude and latitude arrays
+; attribution of the mask and of longitude and latitude arrays
 ;----------------------------------------------------------------------------
          mask = tmask[indice3d]
@@ -370,5 +370,5 @@
          res[*,0, *, *]=!values.f_nan
          mask = where(mask eq 0)
-         IF mask[0] NE -1 THEN BEGIN 
+         IF mask[0] NE -1 THEN BEGIN
             coeftps = lindgen(jpt)*nx*ny*nzt
             coeftps = replicate(1, n_elements(mask))#coeftps
@@ -394,16 +394,16 @@
          case 1 of
             (size(u))[1] EQ nxu AND (size(u))[2] EQ nyu AND $
-             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN 
+             (size(v))[1] EQ nxv AND (size(v))[2] EQ nyv:BEGIN
                if nxu NE nx then $
-                if indicex[0] EQ firstxu then u = u[0:nx-1, *] ELSE u = u[1: nx, *] 
+                if indicex[0] EQ firstxu then u = u[0:nx-1, *] ELSE u = u[1: nx, *]
                IF nxv NE nx THEN $
                 if indicex[0] EQ firstxv then v = v[0:nx-1, *] ELSE v = v[1: nx, *]
                IF nyu NE ny THEN $
-                if indicey[0] EQ firstyu then u = u[*, 0:ny-1] ELSE u = u[*, 1: ny] 
+                if indicey[0] EQ firstyu then u = u[*, 0:ny-1] ELSE u = u[*, 1: ny]
                IF nyv NE ny THEN $
                 if indicey[0] EQ firstyv then v = v[*, 0:ny-1] ELSE v = v[*, 1: ny]
             END
             (size(u))[1] EQ jpi AND (size(u))[2] EQ jpj AND $
-             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj:BEGIN 
+             (size(v))[1] EQ jpi AND (size(v))[2] EQ jpj:BEGIN
                u = u[indice2d]
                v = v[indice2d]
@@ -429,6 +429,6 @@
 ;----------------------------------------------------------------------------
 ; attribution of the mask and of longitude and latitude arrays.
-; We recover the complete grid to establish a big mask extent in the four 
-; direction to cover pointsfor which a land point has been 
+; We recover the complete grid to establish a big mask extent in the four
+; direction to cover pointsfor which a land point has been
 ; considerated (make a small drawing)
 ;----------------------------------------------------------------------------
@@ -455,5 +455,5 @@
    endcase
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps norme', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps norme', systime(1)-tempsun
    return, res
 end
Index: trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 224)
+++ trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 226)
@@ -12,8 +12,8 @@
 ; @param ARRAYIN {type=3d array}
 ; It is a 3d array whose 3rd dimension must be equal to jpk
-; 
+;
 ; @param DEPTHIN {type=2d array}
 ; It is a 2d array indicating for each point n, at which depth to project
-;       
+;
 ; @returns
 ; A 2d array which is the projection of the 3d array following depths indicated by depthin
@@ -22,5 +22,5 @@
 ; common.pro
 ;
-; @restrictions 
+; @restrictions
 ; points at !values.f_nan impossible calculation. Land points masked at valmask.
 ;
@@ -29,5 +29,5 @@
 ;   IDL> a=gdept[jpk-1]/(1.*jpi*jpj)*findgen(jpi,jpj)
 ; We build an array to project on these depths. For the test,
-; we build a 3d array whose each vector following z is the depth. 
+; we build a 3d array whose each vector following z is the depth.
 ;   IDL> arraytest=replicate(1,jpi*jpj)#gdept
 ;   IDL> arraytest=reform(arraytest,jpi,jpj,jpk, /over)
@@ -35,6 +35,6 @@
 ;   IDL> plt, 1e6*(a-projectondepth(arraytest,a)),/nocontour
 ;   ->null field at 1e-6 pres
-; 
-;  verifcation projecting the temperature of 20°C for example...
+;
+;  verification projecting the temperature of 20°C for example...
 ;
 ; @history
@@ -63,5 +63,5 @@
    if tailledepth[0] NE 2 THEN return, report('Depth array must have 2 dimensions')
    if taillearray[0] NE 3 THEN return, report('Array in must have 3 dimensions')
-; verification of the coherence between array's size and the domain 
+; verification of the coherence between array's size and the domain
    grille, mask, -1, -1, -1,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz
    case 1 of
@@ -103,5 +103,5 @@
    if terre[0] NE -1 then res[terre] = valmask
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps projectondepth', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps projectondepth', systime(1)-tempsun
    return, res
 end
Index: trunk/SRC/ToBeReviewed/CALCULS/remplit.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 224)
+++ trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 226)
@@ -22,5 +22,5 @@
 ;
 ; @keyword FILLXDIR
-; 
+;
 ;
 ; @keyword FILLYDIR
@@ -51,16 +51,15 @@
 ; $Id$
 ;
-  ;;
-  ;; Extrapole zinout[jpi,jpj] sur les continents en utilisant les 4
-  ;; plus proches voisins masques oceaniquement et construit un nouveau
-;   masque
-  ;; contenant l'ancien masque oceanique PLUSles points extrapoles.
-  ;; Reitere le processus niter fois.
-  ;; C'est pas clair, essayez !
-  ;;
-  ;;
+;;
+;; Extrapole zinout[jpi,jpj] sur les continents en utilisant les 4
+;; plus proches voisins masques oceaniquement et construit un nouveau masque
+;; contenant l'ancien masque oceanique PLUS les points extrapoles.
+;; Reitere le processus niter fois.
+;; C'est pas clair, essayez !
+;;
+;;
 ;
 ;    /Nan: to fill the point which have the value
-;    !values.f_nan. Whitout this keyword, these point are not filling
+;    !values.f_nan. Without this keyword, these point are not filling
 ;    and stays at !values.f_nan.
 ;
@@ -139,8 +138,8 @@
 ;---------------------------------------------------------------
 ;---------------------------------------------------------------
-; iteration 
-;---------------------------------------------------------------
-;---------------------------------------------------------------
-  FOR n = 1, niter DO BEGIN 
+; iteration
+;---------------------------------------------------------------
+;---------------------------------------------------------------
+  FOR n = 1, niter DO BEGIN
 ; on trouve les points coast
     tempdeux = systime(1)       ; pour key_performance =2
@@ -244,5 +243,5 @@
       END
     endcase
-;    
+;
     z[coast] =  temporary(zcoast)/ temporary(weight)
 ; we update the the boundary conditions of z
@@ -258,5 +257,5 @@
     IF testvar(var = key_performance) EQ 2 THEN $
       print, 'temps remplit: une iteration ', systime(1)-tempdeux
-  ENDFOR 
+  ENDFOR
 fini:
 ;
@@ -280,6 +279,6 @@
   key_gridtype = oldkey_gridtype
 ;---------------------------------------------------------------
-  if keyword_set(key_performance) THEN print, 'temps remplit', systime(1)-tempsun 
+  if keyword_set(key_performance) THEN print, 'temps remplit', systime(1)-tempsun
   return, z
-END 
+END
 