Index: trunk/SRC/Interpolation/fromirr.pro
===================================================================
--- trunk/SRC/Interpolation/fromirr.pro	(revision 227)
+++ trunk/SRC/Interpolation/fromirr.pro	(revision 228)
@@ -38,12 +38,14 @@
 ;
 ; @keyword ADDR {type=2d array}
-; 2D arrays, weig and addr are the weight and addresses used to
-; perform the interpolation:
+; 1) at the first call of fromirr: 
+; This keyword can be set to a named variable (undefined or equal to 0) into which the
+; addresses used to perform the interpolation will be copied when the current routine exits.
+; 2) Next, once this keyword is set to a defined 2d array, it is used to bypass the computation
+; of the weights and addresses used to perform the interpolation. In this case, fromirr simply
+; compute the interpolated field as:
 ;          dataout = total(weig*datain[addr], 1)
 ;          dataout = reform(dataout, jpio, jpjo, /over)
-; Those keywords can be set to named variables (that are undefined or equal to 0) into which the
-; values will be copied when the current routine exits. Next, they can be used to perform
-; the interpolation without computing again those 2 parameters. This greatly
-; speed-up the interpolation! In that case, lonin, latin, lonout and latout are not necessary.
+; In that case, method, lonin, latin, are not used (but are necessary).
+; lonout, latout are used only to know the output domain size
 ;
 ; @returns
@@ -58,11 +60,20 @@
 ; @examples
 ;
+;  To interpolate 1 field:
+;
 ; IDL> tncep = fromirr('bilinear', topa, glamt, gphit, tmask[*,*,0], lonout, latout, mskout)
 ;
-;  or
+;  or if you have several fields to interpolate from the same source and target grids
+;
+; 1) get back the weights and addresses in variables a and b
+;   (that must be undefined or equal to 0 before calling fromirr)
 ;
 ; IDL> t1ncep = fromirr('bilinear', topa, glamt, gphit, tmask[*,*,0], lonout, latout, mskout $
 ;                            , WEIG = a, ADDR = b)
 ; IDL> help, a, b
+;
+; 2) use a and b that are now defined to bypass the computation of the weights and addresses 
+; and speed-up the computation!
+;
 ; IDL> t2ncep = fromirr('bilinear', topa, WEIG = a, ADDR = b)
 ;
Index: trunk/SRC/Interpolation/fromreg.pro
===================================================================
--- trunk/SRC/Interpolation/fromreg.pro	(revision 227)
+++ trunk/SRC/Interpolation/fromreg.pro	(revision 228)
@@ -29,16 +29,18 @@
 ; 1D or 2D array defining the latitude of the output data
 ;
-; @keyword WEIG {type=2d array}
+; @keyword WEIG {type=2d array or variable name}
 ; (see ADDR)
 ;
-; @keyword ADDR {type=2d array}
-; 2D arrays, weig and addr are the weight and addresses used to
-; perform the interpolation:
+; @keyword ADDR {type=2d array or variable name}
+; 1) at the first call of fromreg: 
+; This keyword can be set to a named variable (undefined or equal to 0) into which the
+; addresses used to perform the interpolation will be copied when the current routine exits.
+; 2) Next, once this keyword is set to a defined 2d array, it is used to bypass the computation
+; of the weights and addresses used to perform the interpolation. In this case, fromreg simply
+; compute the interpolated field as:
 ;          dataout = total(weig*datain[addr], 1)
 ;          dataout = reform(dataout, jpio, jpjo, /over)
-; Those keywords can be set to named variables (that are undefined or equal to 0) into which the
-; values will be copied when the current routine exits. Next, they can be used to perform
-; the interpolation without computing again those 2 parameters. In that
-; case, lonin, latin, lonout and latout are not necessary.
+; In that case, method, lonin, latin, are not used (but are necessary).
+; lonout, latout are used only to know the output domain size
 ;
 ; @keyword NONORTHERNLINE
@@ -59,11 +61,20 @@
 ; @examples
 ;
+;  To interpolate 1 field:
+;
 ; IDL> topa = fromreg('bilinear', tncep, xncep, yncep, glamt, gphit)
 ;
-;  or
+;  or if you have several fields to interpolate from the same source and target grids
+; 
+; 1) get back the weights and addresses in variables a and b
+;   (that must be undefined or equal to 0 before calling fromreg)
 ;
 ; IDL> t1opa = fromreg('bilinear', t1ncep, xncep, yncep, glamt, gphit, WEIG = a, ADDR = b)
 ; IDL> help, a, b
-; IDL> t2opa = fromreg('bilinear', t2ncep, xncep, WEIG = a, ADDR = b)
+;
+; 2) use a and b that are now defined to bypass the computation of the weights and addresses 
+; and speed-up the computation!
+;
+; IDL> t2opa = fromreg('bilinear', t2ncep, xncep, yncep, glamt, gphit, WEIG = a, ADDR = b)
 ;
 ; @history