Index: trunk/SRC/Documentation/xmldoc/faqsaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 229)
+++ trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 230)
@@ -292,5 +292,5 @@
 You won't see  online help update if you are working with the official distribution because of <varname>!HELP_PATH</varname>. To override this problem, when you are in <filename class="directory"><replaceable>SAXO_basedirectory</replaceable>/SAXO_DIR/SRC/Documentation/xmldoc/</filename>,  you can call online help like this :
      <screen format="linespecific">
-       <prompt>IDL</prompt> <userinput><command>ONLINE_HELP</command>,<option>book="../idldoc_assistant_output/idldoc-lib.adp"</option></userinput>
+       <prompt>&promptidl;</prompt> <userinput><command>ONLINE_HELP</command>,<option>book="../idldoc_assistant_output/idldoc-lib.adp"</option></userinput>
      </screen>
 </para>
Index: trunk/SRC/Grid/changemsk.pro
===================================================================
--- trunk/SRC/Grid/changemsk.pro	(revision 229)
+++ trunk/SRC/Grid/changemsk.pro	(revision 230)
@@ -3,10 +3,12 @@
 ;------------------------------------------------------------
 ;
-; @file_comments add land points on a 2D land-sea mask
+; @file_comments
+; add land points on a 2D land-sea mask
 ;
 ; @categories 
 ; Grid
 ;
-; @param TAB {in}{required} a 2D land-sea mask, with 1 on sea and 0 on land
+; @param TAB {in}{required} 
+; a 2D land-sea mask, with 1 on sea and 0 on land
 ;
 ; @keyword CELLSIZE 
Index: trunk/SRC/Matrix/different.pro
===================================================================
--- trunk/SRC/Matrix/different.pro	(revision 229)
+++ trunk/SRC/Matrix/different.pro	(revision 230)
@@ -4,5 +4,5 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; calculate the different elements of 2 matrix of positive whole numbers.
 ;
@@ -10,16 +10,21 @@
 ; Calculation
 ;
-; @param a {in}{required} arrays of positive integers, which need
+; @param a {in}{required} 
+; arrays of positive integers, which need
 ;               not be sorted. Duplicate elements are ignored, as they have no
 ;               effect on the result
 ;
-; @param b {in}{required} see a
+; @param b {in}{required} 
+; see a
 ;
-; @returns tableau
+; @returns
+; tableau
 ;
-; @restrictions The empty set is denoted by an array with the first element equal to
+; @restrictions 
+; The empty set is denoted by an array with the first element equal to
 ; -1.
 ;
-; @restrictions These functions will not be efficient on sparse sets with wide
+; @restrictions 
+; These functions will not be efficient on sparse sets with wide
 ; ranges, as they trade memory for efficiency. The HISTOGRAM function
 ; is used, which creates arrays of size equal to the range of the
@@ -28,11 +33,13 @@
 ; @examples
 ;
-;   a = [2,4,6,8]
-;   b = [6,1,3,2]
-;   different(a,b) = [ 4, 8]         ; Elements in A but not in B
+;  IDL> a = [2,4,6,8]
+;  IDL> b = [6,1,3,2]
+;  IDL> different(a,b) = [ 4, 8]         ; Elements in A but not in B
 ;
-; @history http://www.dfanning.com/tips/set_operations.html
+; @history
+;  http://www.dfanning.com/tips/set_operations.html
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -40,5 +47,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-FUNCTION different, a, b  
+FUNCTION different, a, b
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Matrix/extrac2.pro
===================================================================
--- trunk/SRC/Matrix/extrac2.pro	(revision 229)
+++ trunk/SRC/Matrix/extrac2.pro	(revision 230)
@@ -54,7 +54,7 @@
 ; @returns
 ; a matrix 1,2,3 or 4d extract from input array
+; -1 in case of mistake
 ;
 ; @restrictions
-; -1 in case of mistake
 ;
 ; @examples
Index: trunk/SRC/Picture/imdisp.pro
===================================================================
--- trunk/SRC/Picture/imdisp.pro	(revision 229)
+++ trunk/SRC/Picture/imdisp.pro	(revision 230)
@@ -460,5 +460,6 @@
 ;map_grid
 ;
-; @history Liam.Gumley\@ssec.wisc.edu
+; @history
+; Liam.Gumley\@ssec.wisc.edu
 ; http://cimss.ssec.wisc.edu/~gumley
 ;
@@ -479,5 +480,6 @@
 ; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Picture/saveimage.pro
===================================================================
--- trunk/SRC/Picture/saveimage.pro	(revision 229)
+++ trunk/SRC/Picture/saveimage.pro	(revision 230)
@@ -15,5 +15,6 @@
 ;    8-bit or 24-bit output files are done automatically.
 ;
-; @categories Input/Output.
+; @categories
+; Input/Output
 ;
 ; @param FILE {in}{required}{default=format GIF}
@@ -48,5 +49,5 @@
 ; If set, use the color cube method to quantize colors when
 ; creating 8-bit output which is read from a 24-bit display.
-; This may improve the accuracy of colors in the output image, 
+; This may improve the accuracy of colors in the output image,
 ; especially white.
 ;
@@ -57,5 +58,4 @@
 ; The output file is overwritten if it exists.
 ;
-; @restrictions
 ; requires IDL 5.0 or higher (square bracket array syntax).
 ;
@@ -70,5 +70,6 @@
 ; IDL> saveimage, 'hurric.gif'
 ;
-; @history Liam.Gumley@ssec.wisc.edu
+; @history
+; Liam.Gumley@ssec.wisc.edu
 ; http://cimss.ssec.wisc.edu/~gumley
 ;
@@ -87,5 +88,6 @@
 ; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Picture/showimage.pro
===================================================================
--- trunk/SRC/Picture/showimage.pro	(revision 229)
+++ trunk/SRC/Picture/showimage.pro	(revision 230)
@@ -36,5 +36,6 @@
 ; IDL> showimage, filepath('rose.jpg', subdir='examples/data')
 ;
-; @history Liam.Gumley\@ssec.wisc.edu
+; @history
+; Liam.Gumley\@ssec.wisc.edu
 ; http://cimss.ssec.wisc.edu/~gumley
 ;
@@ -53,5 +54,6 @@
 ; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Postscript/closeps.pro
===================================================================
--- trunk/SRC/Postscript/closeps.pro	(revision 229)
+++ trunk/SRC/Postscript/closeps.pro	(revision 230)
@@ -11,15 +11,19 @@
 ; (number automatically found to be 1 larger that any of the existing ps file)
 ;
-; @keyword INFOWIDGET
-; A long integer giving the id of the information widget (created by openps)
+; @keyword INFOWIDGET {type=long integer}
+; id of the information widget (created by 
+; <a href="./openps.html">openps</a>
 ; that we have to destroy at the end of closeps (when the postscript is done).
 ;
-; @uses cm_4ps
+; @uses 
+; cm_4ps
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       21/12/98
 ; June 2005: Sebastien Masson, english version with new commons
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Postscript/openps.pro
===================================================================
--- trunk/SRC/Postscript/openps.pro	(revision 229)
+++ trunk/SRC/Postscript/openps.pro	(revision 230)
@@ -25,5 +25,5 @@
 ; @keyword KEEP_PFONT
 ; activate to suppress the modification of !p.font
-; (by default we force  !p.font = 0  to make smaller postscripts)
+; (by default we force !p.font = 0  to make smaller postscripts)
 ;
 ; @keyword PORTRAIT
@@ -50,5 +50,6 @@
 ; June 2005: Sebastien Masson, cleaning, english version with new commons
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Postscript/printps.pro
===================================================================
--- trunk/SRC/Postscript/printps.pro	(revision 229)
+++ trunk/SRC/Postscript/printps.pro	(revision 230)
@@ -36,5 +36,6 @@
 ;
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			21/12/98
 ;                       25/8/19999 utilisation des widgets
@@ -42,5 +43,6 @@
 ; June 2005: Sebastien Masson: cleaning, English version with new commons
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -200,12 +202,14 @@
 ; visualize and/or print and/or archive. It can also refer
 ; to a gzipped postscript file. If needed, this name will
-; be completed by .ps and/or .gz
-;
-; @uses cm_4ps
+; be completed by .ps and/or .gz.
+;
+; @uses
+; cm_4ps
 ;
 ; @examples
 ; IDL> printps
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			21/12/98
 ;                       25/8/19999 utilisation des widgets
@@ -213,5 +217,6 @@
 ; June 2005: Sebastien Masson: cleaning, English version with new commons
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/ToBeReviewed/HOPE/read_hope.pro
===================================================================
--- trunk/SRC/ToBeReviewed/HOPE/read_hope.pro	(revision 229)
+++ trunk/SRC/ToBeReviewed/HOPE/read_hope.pro	(revision 230)
@@ -261,5 +261,5 @@
 ;
 ; @returns
-; -1 if typein and varnamein are undefine (this is the widget
+; -1 if typein and varnamein are undefined (this is the widget
 ; version)
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 229)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/bar_plot.pro	(revision 230)
@@ -1,8 +1,8 @@
 ;+
-; 
-; @file_comments 
+;
+; @file_comments
 ; Create a bar graph, or overplot on an existing one.
 ;
-; @categories 
+; @categories
 ; Graphics
 ;
@@ -65,9 +65,9 @@
 ; on the same graph.
 ;
-; @keyword OUTLINE 
+; @keyword OUTLINE
 ; If set, this keyword specifies that an outline should be
 ; drawn around each bar.
 ;
-; @keyword OVERPLOT 
+; @keyword OVERPLOT
 ; If set, this keyword specifies that the bar plot should be
 ; overplotted on an existing graph.
@@ -77,10 +77,11 @@
 ; the background color.
 ;
-; @keyword ROTATE 
+; @keyword ROTATE
 ; If set, this keyword indicates that horizontal rather than
 ; vertical bars should be drawn.  The bases of horizontal bars
 ; are on the left, "Y" axis and the bars extend to the right.
 ;
-; @examples By using the overplotting capability, it is relatively easy to create
+; @examples
+; By using the overplotting capability, it is relatively easy to create
 ;	stacked bar charts, or different groups of bars on the same graph.
 ;
@@ -118,5 +119,6 @@
 ;	this could easily be changed.)
 ;
-; @history August 1990, T.J. Armitage, RSI, initial programming.  Replacement
+; @history
+; August 1990, T.J. Armitage, RSI, initial programming.  Replacement
 ;	for PLOTBAR and OPLOTBAR routines written by William Thompson.
 ;
@@ -125,4 +127,5 @@
 ;	spacing the bars slightly.
 ;
+; @version
 ; $Id$
 ;
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 229)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/barrecouleur.pro	(revision 230)
@@ -52,5 +52,6 @@
 ; Used to pass your keywords
 ;
-; @restrictions pass all argument we want thanks to _extra
+; @restrictions
+; pass all argument we want thanks to _extra
 ;
 ; @history
@@ -61,5 +62,6 @@
 ; $Id$
 ;
-; @todo seb: mettre les keyword et les param
+; @todo
+; seb: mettre les keyword et les param
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/STRING/getwrd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/getwrd.pro	(revision 229)
+++ trunk/SRC/ToBeReviewed/STRING/getwrd.pro	(revision 230)
@@ -4,23 +4,24 @@
 ; @file_comments
 ; Return the n'th word from a text string.
-; 
+;
 ; @categories
+; String
 ;
-; @param TXTSTR {in}{required}
+; @param TXTSTR {in}{required} {type=string or array of strings}
 ; text string to extract from.
 ; The first element is used if txt is an array.
 ;
-; @param NTH {in}{required}
+; @param NTH {in}{required} {type=integer} {default=0}
 ; word number to get (first = 0 = def)
 ;
-; @param MTH {in}{required}
+; @param MTH {in}{optional} {type=integer}
 ; optional last word number to get.
 ;
 ; @keyword LOCATION
 ; = l.  Return word n string location.
-;         
+;
 ; @keyword DELIMITER
 ; = d. Set word delimiter (def = space & tab).
-;         
+;
 ; @keyword LAST
 ; means n is offset from last word.  So n=0 gives
@@ -30,13 +31,14 @@
 ; @keyword NOTRIM
 ; suppresses whitespace trimming on ends.
-; 
+;
 ; @keyword NWORDS
 ; = n. Returns number of words in string.
-; 
-; @returns wrd = returned word or words.
+;
+; @returns
+; wrd = returned word or words.
 ;
 ; @uses
 ; getwrd_com
-; 
+;
 ; @restrictions
 ; If a NULL string is given (txt="") then the last string
@@ -71,11 +73,11 @@
 ;-
 ;-------------------------------------------------------------
- 
- 
+
+
 	FUNCTION getwrd, TXTSTR, NTH, MTH, help=hlp, location=ll,$
 	   delimiter=delim, notrim=notrim, last=last, nwords=nwords
- 
+
 	common getwrd_com, txtstr0, nwds, loc, len
- 
+
 	if (n_params(0) lt 1) or keyword_set(hlp) then begin
 	  print," Return the n'th word from a text string."
@@ -103,8 +105,8 @@
 	  return, -1
 	endif
- 
+
 	if n_params(0) lt 2 then nth = 0		; Def is first word.
 	IF N_PARAMS(0) LT 3 THEN MTH = NTH		; Def is one word.
- 
+
 	if strlen(txtstr[0]) gt 0 then begin
 	  ddel = ' '					; Def del is a space.
@@ -118,10 +120,10 @@
 	  X = tb NE TST					; Non-delchar (=words).
 	  X = [0,X,0]					; 0s at ends.
- 
+
 	  Y = (X-SHIFT(X,1)) EQ 1			; Diff=1: word start.
 	  Z = WHERE(SHIFT(Y,-1) EQ 1)			; Word start locations.
 	  Y2 = (X-SHIFT(X,-1)) EQ 1			; Diff=1: word end.
 	  Z2 = WHERE(SHIFT(Y2,1) EQ 1)			; Word end locations.
- 
+
 	  txtstr0 = txtstr[0]				; Move string to common.
 	  NWDS = long(TOTAL(Y))				; Number of words.
@@ -135,7 +137,7 @@
 	  endif
 	endelse
- 
+
 	nwords = nwds					; Set nwords
- 
+
 	if keyword_set(last) then begin			; Offset from last.
 	  lst = nwds - 1
@@ -149,7 +151,7 @@
 	  im = im < lst					;  to be last.
 	  ll = loc[in]					; Nth word start.
-	  return, strtrim(strmid(txtstr0,ll,loc[im]-loc[in]+len[im]), 2) 
+	  return, strtrim(strmid(txtstr0,ll,loc[im]-loc[in]+len[im]), 2)
 	endif
- 
+
 	N = ABS(NTH)					; Allow nth<0.
 	IF N GT NWDS-1 THEN RETURN,''			; out of range, null.
@@ -157,5 +159,5 @@
 	IF NTH LT 0 THEN GOTO, NEG			; Handle nth<0.
 	IF MTH GT NWDS-1 THEN MTH = NWDS-1		; Words to end.
- 
+
 	if keyword_set(notrim) then begin
 	  RETURN, STRMID(TXTSTR0,ll,LOC[MTH]-LOC[NTH]+LEN[MTH])
@@ -163,5 +165,5 @@
 	  RETURN, strtrim(STRMID(TXTSTR0,ll,LOC[MTH]-LOC[NTH]+LEN[MTH]), 2)
  	endelse
- 
+
 NEG:	if keyword_set(notrim) then begin
 	  RETURN, STRMID(TXTSTR0,ll,9999)
@@ -169,4 +171,4 @@
 	  RETURN, strtrim(STRMID(TXTSTR0,ll,9999), 2)
 	endelse
- 
+
 	END
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/definetri.pro
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/definetri.pro	(revision 229)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/definetri.pro	(revision 230)
@@ -48,7 +48,7 @@
 ;
 ; @param DOWNWARD {in}{optional}
-; When downward is undefine all rectangles are cut in using the upward 
+; When DOWNWARD is undefined all rectangles are cut in using the upward 
 ; diagonal. 
-; Downward is a vector which contains the rectangles numbers which are cut in 
+; DOWNWARD is a vector which contains the rectangles numbers which are cut in 
 ; using the downward diagonal.
 ; The rectangle number is defined by the index (in a nx*ny vector) of the 
Index: trunk/SRC/Utilities/createpro.pro
===================================================================
--- trunk/SRC/Utilities/createpro.pro	(revision 229)
+++ trunk/SRC/Utilities/createpro.pro	(revision 230)
@@ -88,4 +88,6 @@
 ; compile it
    resolve_routine, shortfilename
+help,ex,/structure
+print,' ex = ',ex
 ; execute it
    call_procedure, shortfilename, _extra = ex
Index: trunk/SRC/Utilities/report.pro
===================================================================
--- trunk/SRC/Utilities/report.pro	(revision 229)
+++ trunk/SRC/Utilities/report.pro	(revision 230)
@@ -38,5 +38,5 @@
 ; @returns
 ; -1 if the keyword QUESTION is not activated
-; If the keyword is activated, return 1 for yes and 0 for no.
+; If the keyword QUESTION is activated, return 1 for yes and 0 for no.
 ;
 ; @examples
Index: trunk/SRC/Utilities/xfile.pro
===================================================================
--- trunk/SRC/Utilities/xfile.pro	(revision 229)
+++ trunk/SRC/Utilities/xfile.pro	(revision 230)
@@ -65,5 +65,5 @@
 ; we open the file in a widget
    xdisplayfile, pfile[i-1], _extra = ex
-   ENDIF ELSE ras = report('file does not exist ...')
+   ENDIF ELSE ras = report(filename + ' does not exist ...')
 ;
 ;
Index: trunk/SRC/Utilities/xhelp.pro
===================================================================
--- trunk/SRC/Utilities/xhelp.pro	(revision 229)
+++ trunk/SRC/Utilities/xhelp.pro	(revision 230)
@@ -98,5 +98,5 @@
       ENDELSE
       FREE_LUN, unit         ;free the file unit.
-   ENDIF ELSE ras = report('file does not exist ...')
+   ENDIF ELSE ras = report(filename + ' does not exist ...')
 
    return