Index: trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 231)
@@ -1,6 +1,4 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
+;
 ; @file_comments
 ; Rather comparable to depth2level but here, the calculated level is in float.
@@ -40,7 +38,5 @@
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 FUNCTION depth2floatlevel, tab, NOMASK = nomask
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 231)
@@ -1,5 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
@@ -44,7 +41,5 @@
 ; $Id$
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 FUNCTION depth2level, tab, LOWER = lower, UPPER = upper, CLOSER = closer $
                       , NOMASK = nomask, _extra = ex
Index: trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 231)
@@ -1,5 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
@@ -15,8 +12,8 @@
 ;
 ; @keyword _EXTRA
-; used to pass your keywords
+; Used to pass keywords
 ;
 ; @returns
-; It is a 3d array containing the mas associated to the 2d sill depth array
+; It is a 3d array containing the mask associated to the 2d sill depth array
 ;
 ; @uses
@@ -31,9 +28,5 @@
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 FUNCTION depth2mask, tab, _extra = ex
-;------------------------------------------------------------
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/CALCULS/determ3.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/determ3.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/determ3.pro	(revision 231)
@@ -24,9 +24,7 @@
 ; defined by in10 = z2ds[1, 0, *]
 ;
-;
 ; @param IN11 {in}{required}
 ; It is an n element array
 ; defined by in11 = z2ds[1, 1, *]
-;
 ;
 ; @param IN12 {in}{required}
@@ -34,9 +32,7 @@
 ; defined by in12 = z2ds[1, 2, *]
 ;
-;
 ; @param IN20 {in}{required}
 ; It is an n element array
 ; defined by in20 = z2ds[2, 0, *]
-;
 ;
 ; @param IN21 {in}{required}
@@ -44,10 +40,9 @@
 ; defined by in21 = z2ds[2, 1, *]
 ;
-;
 ; @param IN22 {in}{required}
 ; It is an n element array
 ; defined by in22 = z2ds[2, 2, *]
 ;
-; @returns 
+; @returns
 ; n elements array, the determinant of each 3*3 arrays
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 231)
@@ -1,9 +1,7 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
 ; @file_comments
-; Rather comparable to level2depth. It is the invert function of depth2floatlevel
+; Rather comparable to <pro>level2depth<pro>.
+; It is the invert function of <pro>depth2floatlevel</pro>.
 ;
 ; @categories
@@ -36,7 +34,4 @@
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 FUNCTION floatlevel2depth, tab, NOMASK = nomask
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro	(revision 231)
@@ -2,25 +2,17 @@
 ; @file_comments
 ;
-;
 ; @categories
-;
 ;
 ; @param PFS
 ;
-;
 ; @param PFP
-;
 ;
 ; @returns
 ;
-;
 ; @uses
-;
 ;
 ; @restrictions
 ;
-;
 ; @examples
-;
 ;
 ; @history
@@ -45,4 +37,5 @@
 ;
 ;-
+;
 FUNCTION fsfzpt, pfs, pfp
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 231)
@@ -1,5 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
@@ -80,5 +77,5 @@
 ; $Id$
 ;-
-
+;
 function grossemoyenne, tab, direc, BOXZOOM = boxzoom, INTEGRATION = integration $
                         , NAN = nan, NODOMDEF = nodomdef, WDEPTH = wdepth $
Index: trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 231)
@@ -1,5 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
@@ -68,7 +65,5 @@
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 FUNCTION hdyn, tabsn, tabtn, TREF = tref, SREF = sref, PROFREF = profref, LEVEL = level, GILL = gill, SURFACE_LEVEL = surface_level
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 231)
@@ -1,6 +1,2 @@
-;
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
@@ -32,7 +28,5 @@
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 FUNCTION level2depth, tab, NOMASK = nomask
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/level2index.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/level2index.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/level2index.pro	(revision 231)
@@ -1,12 +1,9 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
-; @file_comments 
-; We want, from a 3d matrix, to extract a 2d (x,y) array whose each element 
-; has been extract from a level specified by the 2d level array (typically, 
+; @file_comments
+; We want, from a 3d matrix, to extract a 2d (x,y) array whose each element
+; has been extract from a level specified by the 2d level array (typically,
 ; we want to obtain the salinity along an isopycn we have repered by its level).
-; level2index is a function who give, in function of level, a 2d indexes array 
+; level2index is a function who give, in function of level, a 2d indexes array
 ; which will allow to extract the 2d array from the 3d array...
 ;
@@ -28,9 +25,7 @@
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 FUNCTION level2index, level
-; An element of 3d array (whose the two first dimensions are nx and ny) whose 
+; An element of 3d array (whose the two first dimensions are nx and ny) whose
 ; coordinates are i, j and k have for index in the same 3d array i + j*nx + k*(nx*ny)
 ; level given, for  each point of level, we know i, j et k,
Index: trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro	(revision 231)
@@ -1,12 +1,9 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
 ; @file_comments
-; Allow to pass from a 2d sill level array to the 3d mask array with 1s in 
+; Allow to pass from a 2d sill level array to the 3d mask array with 1s in
 ; levels above the sill level and 0s below (and on it)
 ;
-; @categories 
+; @categories
 ; Without loop
 ;
@@ -32,9 +29,6 @@
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 FUNCTION level2mask, tab
-;------------------------------------------------------------
 ;
   compile_opt idl2, strictarrsubs
@@ -68,5 +62,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps level2mask', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps level2mask', systime(1)-tempsun
    return, mask
 end
Index: trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 231)
@@ -1,5 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
@@ -67,5 +64,5 @@
 ;
 ;-
-
+;
 function moyenne, tab, direc, BOXZOOM = boxzoom, INTEGRATION = integration $
                   , NAN = nan, NODOMDEF = nodomdef, WDEPTH = wdepth $
Index: trunk/SRC/ToBeReviewed/CALCULS/norme.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 231)
@@ -1,5 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
@@ -12,5 +9,4 @@
 ; temporal average because the average of the norm is not equal to the
 ; norm of averages
-
 ;
 ; @categories
@@ -48,5 +44,4 @@
 ; a geographic domain on which fields U and V are extracted on same points
 ;
-; @restrictions
 ; To know what type of array we work with, we  test its size and dates
 ; gave by time[0] and time[jpt-1] to know if thee is a temporal dimension.
@@ -67,9 +62,6 @@
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 FUNCTION norme, composanteu, composantev, BOXZOOM = boxzoom, DIREC = direc, _extra = ex
-;---------------------------------------------------------
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 231)
@@ -1,5 +1,2 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
@@ -46,7 +43,5 @@
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 FUNCTION projectondepth, arrayin, depthin
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/remplit.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 231)
@@ -2,49 +2,34 @@
 ; @file_comments
 ;
-;
 ; @categories
 ;
-;
 ; @param ZINPUT
 ;
-;
 ; @keyword NAN
 ;
-;
 ; @keyword NITER
 ;
-;
 ; @keyword BASIQUE
 ;
-;
 ; @keyword MASK
 ;
-;
 ; @keyword FILLXDIR
 ;
-;
 ; @keyword FILLYDIR
 ;
-;
 ; @keyword FILLVAL
 ;
-;
 ; @keyword _EXTRA
-; Used to pass your keywords
+; Used to pass keywords
 ;
 ; @returns
 ;
-;
 ; @uses
 ;
-;
 ; @restrictions
 ;
-;
 ; @examples
 ;
-;
 ; @history
-;
 ;
 ; @version
@@ -68,4 +53,5 @@
 ;
 ;-
+;
 FUNCTION remplit, zinput, NAN = nan, NITER = niter, BASIQUE = basique, mask = mask, FILLXDIR = fillxdir, FILLYDIR = fillydir, FILLVAL = fillval, _extra = ex
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/rhon.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/rhon.pro	(revision 226)
+++ trunk/SRC/ToBeReviewed/CALCULS/rhon.pro	(revision 231)
@@ -2,49 +2,38 @@
 ; @file_comments
 ;
-;
 ; @categories
-;
 ;
 ; @param SN
 ;
-;
 ; @param TN
-;
 ;
 ; @keyword INSITU
 ;
-;
 ; @keyword SIGMA_N
-;
 ;
 ; @returns
 ;
-;
 ; @uses
-;
 ;
 ; @restrictions
 ;
-;
 ; @examples
 ;
-;
 ; @history
-;
 ;
 ; @version
 ; $Id$
 ;
-   ;;
-   ;; Calcul de la fonction d'etat (issue de eos.F)
-   ;;
-   ;; Creation : 1997 / G. Roullet
-   ;; adaptation pour les tableaux z,zt,xyz,xyzt
-   ;; par seb.
-   ;;
-;
+;;
+;; Calcul de la fonction d'etat (issue de eos.F)
+;;
+;; Creation : 1997 / G. Roullet
+;; adaptation pour les tableaux z,zt,xyz,xyzt
+;; par seb.
+;;
 ; @todo seb
 ;
 ;-
+;
 FUNCTION rhon, sn, tn, INSITU = insitu, SIGMA_N = sigma_n
 ;
@@ -64,23 +53,23 @@
          zrhop=0d
          jkmax = 1
-      END 
+      END
       1:BEGIN                   ;z
          zrhop=dblarr(taille[1])
          jkmax = taille[1]
-      END 
+      END
       2:BEGIN                   ;xy (jpt=1) ou zt
          zrhop=dblarr(taille[1],taille[2])
          if jpt EQ 1 then jkmax = 1 ELSE jkmax = taille[1]
-      END 
+      END
       3:BEGIN                   ;xyz (jpt=1) ou xyt
          zrhop=dblarr(taille[1],taille[2],taille[3])
          if jpt EQ 1 then jkmax = taille[3] ELSE jkmax = 1
-      END 
+      END
       4:BEGIN                   ;xyzt
          zrhop=dblarr(taille[1],taille[2],taille[3],taille[4] )
          jkmax = taille[3]
-      END 
+      END
    endcase
-   
+
 
 
@@ -91,9 +80,9 @@
             ztt = tn
             zs = sn
-         END 
+         END
          1:BEGIN                ;z
             ztt = tn[jk]
-            zs = sn[jk] 
-         END 
+            zs = sn[jk]
+         END
          2:BEGIN                ;xy (jpt=1) ou zt
             if jpt EQ 1 then begin
@@ -102,20 +91,20 @@
             ENDIF ELSE BEGIN
                ztt = tn[jk, *]
-               zs = sn[jk, *] 
+               zs = sn[jk, *]
             ENDELSE
-         END 
+         END
          3:BEGIN                ;xyz (jpt=1) ou xyt
             if jpt EQ 1 then begin
                ztt = tn[*, *, jk]
-               zs = sn[*, *,jk] 
+               zs = sn[*, *,jk]
             endif ELSE BEGIN
                ztt = tn
                zs = sn
             ENDELSE
-         END 
+         END
          4:BEGIN                ;xyzt
             ztt = tn[*, *, jk, *]
-            zs = sn[*, *,jk, *] 
-         END 
+            zs = sn[*, *,jk, *]
+         END
       endcase
       if n_elements(sigma_n) NE 0 then zh = 1000.*sigma_n ELSE zh = gdept[jk]
@@ -133,9 +122,9 @@
          0: zrhop    = (zr4*zs + zr3*zsr + zr2)*zs + zr1
          1: zrhop[jk]= (zr4*zs + zr3*zsr + zr2)*zs + zr1
-         2:BEGIN 
+         2:BEGIN
             if jpt EQ 1 then zrhop = (zr4*zs + zr3*zsr + zr2)*zs + zr1 $
             ELSE zrhop[jk, *]= (zr4*zs + zr3*zsr + zr2)*zs + zr1
          END
-         3:BEGIN 
+         3:BEGIN
             if jpt EQ 1 then zrhop[*, *,jk]= (zr4*zs + zr3*zsr + zr2)*zs + zr1 $
              ELSE zrhop = (zr4*zs + zr3*zsr + zr2)*zs + zr1
@@ -144,5 +133,5 @@
       endcase
 
-      IF n_elements(insitu) EQ 1 THEN BEGIN 
+      IF n_elements(insitu) EQ 1 THEN BEGIN
 ; ...   add the compression terms
          ze = (-3.508914e-8*ztt-1.248266e-8)*ztt-2.595994e-6
@@ -164,9 +153,9 @@
             0: zrhop = zrhop / (1.0-zh/(zk0-zh*(za-zh*zb)))
             1: zrhop[jk] = zrhop[jk] / (1.0-zh/(zk0-zh*(za-zh*zb)))
-            2:BEGIN 
+            2:BEGIN
                if jpt EQ 1 then zrhop = zrhop / (1.0-zh/(zk0-zh*(za-zh*zb))) $
                ELSE zrhop[jk, *] = zrhop[jk, *] / (1.0-zh/(zk0-zh*(za-zh*zb)))
             END
-            3:BEGIN 
+            3:BEGIN
                if jpt EQ 1 then zrhop[*, *,jk] = zrhop[*, *,jk] / (1.0-zh/(zk0-zh*(za-zh*zb))) $
                ELSE zrhop = zrhop / (1.0-zh/(zk0-zh*(za-zh*zb)))
@@ -174,16 +163,14 @@
             4: zrhop[*, *,jk, *] = zrhop[*, *,jk, *] / (1.0-zh/(zk0-zh*(za-zh*zb)))
          endcase
-         
-      ENDIF 
-   ENDFOR 
-   
+
+      ENDIF
+   ENDFOR
+
    terre = where(tn GE 1e6)
    if terre[0] NE -1 then zrhop[terre] = valmask
 
-   if keyword_set(key_performance) THEN print, 'temps rhon', systime(1)-tempsun 
-
-   
-   return, zrhop
-END 
+   if keyword_set(key_performance) THEN print, 'temps rhon', systime(1)-tempsun
 
 
+   return, zrhop
+END